Namespace
library
Image / Tag
swift:5.10.0-rhel-ubi9-slim
Content Digest
sha256:298e3be655c9bb9f3485947ecfe9757f5e5fe6fe249b03b1f59a4672ef92fe43
Details
Created

2024-05-30 00:50:38 UTC

Size

120 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2024-05-23T14:55:58
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    947.1716476138
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-947.1716476138
  • vcs-ref
    92a4a475241865d0d11bd861fb2b29fbd9b17df0
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.4

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:bb65efb0bec6cb4d1f7d194200f33fc9d6459e1bfa2ece5eadfea7436dd2cf8b - 63.26% (75.6 MB)

[#001] sha256:62b8eb6a29c1fb159b7e842edd4266cc50cb24ff745ca2bc84e595e9e0c05c22 - 36.74% (43.9 MB)


History
2024-05-23 15:03:32 UTC

/bin/sh -c #(nop) ADD file:3f4cf4eb313860e392549a21c04c37ede72311cdfd3c2bae62bb7a251b22da0b in /

2024-05-23 15:03:33 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) ADD multi:f6422917aa18402c203337e4024f3230f0fba0e249f4d5512c9d65516c09dc6e in /etc/yum.repos.d/

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) ENV container oci

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-05-23 15:03:34 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-05-23 15:03:35 UTC

/bin/sh -c rm -rf /var/log/*

2024-05-23 15:03:36 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2024-05-23 15:03:36 UTC

/bin/sh -c #(nop) ADD file:503779b2b9c60a3c8037d4fdcc0e049b58b9a8616985b64eaa274daebe8d6261 in /root/buildinfo/content_manifests/ubi9-container-9.4-947.1716476138.json

2024-05-23 15:03:36 UTC

/bin/sh -c #(nop) ADD file:f3caf3f5c046ce70b9107fe0f30333db63d0d9b4928dfee3421e50612c260649 in /root/buildinfo/Dockerfile-ubi9-9.4-947.1716476138

2024-05-23 15:03:36 UTC

/bin/sh -c #(nop) LABEL "release"="947.1716476138" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-05-23T14:55:58" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="92a4a475241865d0d11bd861fb2b29fbd9b17df0" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-947.1716476138"

2024-05-23 15:03:37 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3103934-d2ba7.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'

2024-05-23 15:03:38 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2024-05-23 15:03:41 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2024-05-30 00:48:55 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-05-30 00:48:56 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-05-30 00:50:06 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-05-30 00:50:38 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

Details
Created

2024-05-30 00:11:33 UTC

Size

116 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2024-05-23T14:55:58
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    947.1716476138
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-947.1716476138
  • vcs-ref
    92a4a475241865d0d11bd861fb2b29fbd9b17df0
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.4

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:ea7344e7170621dd089a63dae336ebe6eb878ba0c907e16f62f6bcbb0cb52b93 - 63.36% (73.4 MB)

[#001] sha256:8040697ba9136e06751f404566dcc6afa09eac1ce6878c11f99bfd7d06ce534b - 36.64% (42.5 MB)


History
2024-05-23 15:04:58 UTC

/bin/sh -c #(nop) ADD file:dba5bf83c6f30627c20bb026596600b7ec9bd665f0db65559d6bccfd53f0857b in /

2024-05-23 15:04:59 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) ADD multi:f6422917aa18402c203337e4024f3230f0fba0e249f4d5512c9d65516c09dc6e in /etc/yum.repos.d/

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) ENV container oci

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-05-23 15:04:59 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-05-23 15:05:01 UTC

/bin/sh -c rm -rf /var/log/*

2024-05-23 15:05:02 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2024-05-23 15:05:02 UTC

/bin/sh -c #(nop) ADD file:fbdff152131f708ea3b0d0665e8bcc7c9deda8337fd1d01e4dd5603ed4f7a102 in /root/buildinfo/content_manifests/ubi9-container-9.4-947.1716476138.json

2024-05-23 15:05:02 UTC

/bin/sh -c #(nop) ADD file:dd6b7486f3b91c9b2edd1f68d5c047928a438c9efcbe9b6d04a6205926842a7b in /root/buildinfo/Dockerfile-ubi9-9.4-947.1716476138

2024-05-23 15:05:02 UTC

/bin/sh -c #(nop) LABEL "release"="947.1716476138" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-05-23T14:55:58" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="92a4a475241865d0d11bd861fb2b29fbd9b17df0" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-947.1716476138"

2024-05-23 15:05:03 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3103934-d2ba7.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'

2024-05-23 15:05:04 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2024-05-23 15:05:06 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2024-05-30 00:09:27 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-05-30 00:09:27 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-05-30 00:11:04 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-05-30 00:11:04 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2024-05-30 00:11:04 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-05-30 00:11:05 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-05-30 00:11:05 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-05-30 00:11:05 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-05-30 00:11:33 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete